using System;
using NinjaTrader.Cbi;

internal sealed class Delegate127 : MulticastDelegate
{
	public extern Provider Invoke(object object_0);

	public static Provider smethod_0(object object_0, Delegate127 delegate127_1)
	{
		return delegate127_1(object_0);
	}

	public extern Delegate127(object object_0, IntPtr intptr_0);

	static Delegate127()
	{
		Class10.smethod_13(typeof(Delegate127).TypeHandle);
	}

	internal static Delegate127 delegate127_0;
}
